package projectzombie.model;

import gl_engine.texture.TextureRef3D;
import gl_engine.vec.Vec2d;
import projectzombie.init.Models;

public class ModelItem
{
	private Model gui, item;
	
	public TextureRef3D tex;
	public int animationSize;
	public int animationSpeed;
	
	public ModelItem(TextureRef3D tex, int animationSize, int animationSpeed)
	{
		this.tex = tex;
		this.animationSize = animationSize;
		this.animationSpeed = animationSpeed;
		this.gui = new ModelGui(tex, new Vec2d(0.85, 0.85), animationSize, animationSpeed);
		this.item = new ModelVertical(tex, new Vec2d(0.5, 0.5), animationSize, animationSpeed);
	}
	
	private ModelItem() {
		
	}
	
	public static ModelItem createEmpty()
	{
		ModelItem model = new ModelItem();
		model.gui = Models.EMPTY;
		model.item = Models.EMPTY;
		return model;
	}
	
	public ModelItem(TextureRef3D tex) {
		this(tex, 1, 1);
	}
	
	public Model getItemModel() {
		return this.item;
	}
	
	public TextureRef3D getTexture() {
		return tex;
	}
		
	public Model getGuiModel() {
		return this.gui;
	}


}
